Recent posts

#1
Runtime/AutoLISP / Re: Set ButtonToolTips for Opt...
Last post by ScottBolton - July 25, 2024, 02:10:27 AM
This still appears to not work. Hardcoding the list in Studio works; assigning in lisp doesn't.

(dcl-Control-GetButtonToolTipList executed later in the lisp returns the desired list)
#2
Runtime/AutoLISP / Re: OpenDCL for BricsCAD beta
Last post by owenwengerd - July 15, 2024, 04:21:24 PM
I don't want to bother with a public release for a beta build, because it will become invalid in the next beta coming in a few weeks. However, I have built a V25 beta 1 runtime module locally, and I can share a download link via email, PM, or at a Bricsys support ticket.
#3
Runtime/AutoLISP / OpenDCL for BricsCAD beta
Last post by Emiliano - July 15, 2024, 07:22:51 AM
Hi,
the latest version of OpenDCL runtime is compatible with the latest available beta of BricsCAD.
I can't find the OpenDCL system requirements page, has it been removed?

Thanks in advance!
#4
Runtime/AutoLISP / Re: Help keep OpenDCL moving f...
Last post by owenwengerd - July 03, 2024, 08:32:44 PM
For those with a US bank, an old-fashioned mailed bank check works fine for me (contact info is on the ManuSoft web site, and make sure you note somewhere that it is an OpenDCL donation) if you want to go that route. For that matter, Zelle would work as well.
#5
Runtime/AutoLISP / Re: Help keep OpenDCL moving f...
Last post by DW - July 03, 2024, 06:52:12 PM
Quote from: kenkrupa on July 01, 2024, 09:08:59 AMI tried following the above and got nowhere. I get no check box for I know their bank details. So I enter support@manusoft.com and Owen Wengerd, which is all I know (there is no Language entry). When I click Confirm, it insists I enter all the other info. Jeez - I would really like to donate! (from USA)

Try the second set of instructions in my earlier post and use a desktop browser.
My last transfer was a bit frustrating with the mobile app not behaving as the online help said it should.

I've found getting in touch with WISE support on the phone is straightforward. It shouldn't be so difficult  to transfer funds - good luck!   
#6
Runtime/AutoLISP / Re: Help keep OpenDCL moving f...
Last post by owenwengerd - July 01, 2024, 12:05:19 PM
I wish it wasn't so complicated to make simple donations. I can say that I had no problem accepting the previous donations sent through WISE, but I'm afraid I have no information about the steps for sending. Regardless, I appreciate all the efforts. Thank you!
#7
Runtime/AutoLISP / Re: Help keep OpenDCL moving f...
Last post by kenkrupa - July 01, 2024, 09:08:59 AM
Quote from: DW on May 01, 2024, 02:40:06 AM
  • Click the green Continue button.
  • Click Enter bank details button on the next page.
  • Click the Someone else button
  • Deselect the I know their bank details check box
  • and enter Email address, Name and Language
  • Click Confirm button...

I tried following the above and got nowhere. I get no check box for I know their bank details. So I enter support@manusoft.com and Owen Wengerd, which is all I know (there is no Language entry). When I click Confirm, it insists I enter all the other info. Jeez - I would really like to donate! (from USA)
#8
Runtime/AutoLISP / Re: Insert Block Problem
Last post by dsm_dude - June 18, 2024, 12:04:05 AM
Can someone help with a solution?
#9
Runtime/AutoLISP / Insert Block Problem
Last post by dsm_dude - June 12, 2024, 06:35:32 AM
I reworked an odcl project for autocad that was created by tinomartinez 14 years ago for BricsCAD.

I am stumped when it comes to inserting a block using OpenDCL. I've combed over these forms and the swamp trying to find a solution but I've come up emtpy.

Can someone please take a look and help me out?

(defun c:ttt (/)
  (command "OPENDCL")
  (dcl_Project_Load "BlockManager" T)
  (dcl_Form_Show BlockManager_Form1)
  (princ)
  )

(defun c:Untitled/Form1#OnInitialize (/)
  (setq strPath (list
  (list "Metric" "W:\\Engineering\\AutoCAD Support\\Blocks\\Borders\\Metric")
  (list "Imperial" "W:\\Engineering\\AutoCAD Support\\Blocks\\Borders\\Imperial"))
);setq
  (dcl-Control-SetList BlockManager/Form1/Shortcut (mapcar '(lambda (x) (car x)) strPath))
  (dcl-BlockView-LoadDwg BlockManager/Form1/BlockView "") ;; new line to clear viewblock
  ;(dcl-BlockView-Clear BlockManager/Form1/BlockView)
)

(defun c:BlockManager/Form1/Shortcut#OnSelChanged (ItemIndexOrCount Value /)
  (dcl-ListBox-Dir BlockManager/Form1/DWGList (setq oBlockPreviewFolder (cadr(nth (dcl-ListBox-GetCurSel BlockManager/Form1/shortcut) strPath))) "*.dwg")
)

(defun c:BlockManager/Form1/DWGList#OnSelChanged (ItemIndexOrCount Value /)
  (dcl-BlockView-LoadDwg BlockManager/Form1/BlockView (setq oBlockPreviewFile(strcat oBlockPreviewFolder "\\" Value)));_ load the DWG
  (dcl-BlockView-Zoom BlockManager/Form1/BlockView 0.75)
)

(defun c:BlockManager/Form1/Insert#OnClicked (/)
  (dcl_Form_Hide BlockManager_Form1)
  (command "._insert" oBlockPreviewFile '(0 0 0) 1 1 0)
)
#10
Show and Tell / Re: My first OpenDCL
Last post by dsm_dude - June 10, 2024, 06:20:04 AM
I've reviving this old thread. I really like the layout of this block manager, but it's no longer working and throwing an error when the insert command is invoked. I've invested several hours trying to resolve the issue with no luck. Can someone more skilled than myself take a crack at it?